<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans SYSTEM "file:/c:/amex/util/spring/dtd/spring-beans.dtd">

<beans>
   	
   	<bean id="IHomeDAO" class="com.layer.dao.impl.IHomeDAOImpl" >        
      <property name="dataSource" ref="DataSource"/>
    </bean>
    
    
  <bean id="ICommonDAO" class="com.layer.dao.impl.ICommonDAOImpl">
         <property name="dataSource" ref="DataSource"/>		
   </bean>
   
   <bean id="ISearchDAO" class="com.layer.dao.impl.ISearchDAOImpl">
         <property name="dataSource" ref="DataSource"/>		
   </bean>
   
   <bean id="IAdviceDAO" class="com.layer.dao.impl.IAdviceDAOImpl">
         <property name="dataSource" ref="DataSource"/>		
   </bean>
   
   <bean id="IClearingDAO" class="com.layer.dao.impl.IClearingDAOImpl">
         <property name="dataSource" ref="DataSource"/>		
   </bean>
   
   <bean id="ICPCLandingDAO" class="spring.dao.impl.ICPCLandingDAOImpl">
         <property name="dataSource" ref="DataSource"/>		
   </bean>
   
   <bean id="DataSource" class="org.springframework.jndi.JndiObjectFactoryBean">
		<property name="jndiName" value="whatuni" />
   </bean>
	
</beans>